//
//  main.cpp
//  HW#5
//
//  Created by Tammy on 3/29/15.
//  Copyright (c) 2015 Tammy. All rights reserved.
//

#include <iostream>
using namespace std;
// coinRemoving function with five parameters
void coinRemoving (int coinMax, const int maxRemove, const int p1Choose[], int round, const int t);

int main() {
    // declare and initialize n m t
    int n = 0, m = 0, t = 0;
    // read in n m t
    cin >> n >> m >> t;
    // declare a dynamic array with length t
    int* x = new int[t];
    for(int i=0; i<t; i++){
        // read in player 1's strategy
        x[i] = 0;
        cin >> x[i];
    }
    // invoke coinRemoving funcion
    coinRemoving(n,m,x,1,t);
    return 0;
}
// coinRemoving function
void coinRemoving (int coinMax, const int maxRemove, const int p1Choose[], int round, const int t){
    // base case, if only 1 coin left, it must be moved by players 1 and the game is finished
    if(coinMax==1){
        // print out 1
        cout << 1 << endl;
    }
    // not base case
    else{
        // declare and initialize the p2Choose (the number of coins which will be revmoed by player 2)
        int p2Choose = 0;
        // calculate the value fo p2Choose, which depends on the round and player 1's strategy
        p2Choose = maxRemove + 1 - p1Choose[((round-1)%t)];
        // print 1 with p1Choose time
        for(int j=0; j<p1Choose[((round-1)%t)]; j++){
            cout << 1 << " ";
        }
        // print 2 with p2Choose time
        for(int z=0; z<p2Choose; z++){
            cout << 2 << " ";

        }
        // increase round by 1
        round++;
        // decrease coinMax, in every round the total number of coins removed by two players should be maxRevmoe+1
        coinMax = coinMax - (maxRemove + 1);
        // invoke the coinRemoving function again with the new value of coinMax and round
        coinRemoving(coinMax, maxRemove, p1Choose, round, t);
    }
}