//
//  main.cpp
//  HW#503
//
//  Created by Tammy on 3/30/15.
//  Copyright (c) 2015 Tammy. All rights reserved.
//

#include <iostream>
using namespace std;
// merge function with five parameters
void merge(int l1, int l2, int a1[], int a2[], int output[]);

int main() {
    int array1Length = 0;
    int array1[1000] = {0};
    // for each integer in array 1
    int temp1 = 0;
    cin >> temp1;
    // read in integers in array 1 if temp1 is not -1 and increase the length (how many integers have been entered)
    while(temp1!=-1){
        array1[array1Length]=temp1;
        array1Length++;
        cin >> temp1;
    }
    
    int array2Length = 0;
    int array2[1000] = {0};
    // for each integer in array 2
    int temp2 = 0;
    cin >> temp2;
    // read in integers in array 2 if temp1 is not -1 and increase the length (how many integers have been entered)
    while(temp2!=-1){
        array2[array2Length]=temp2;
        array2Length++;
        cin >> temp2;
    }
    // declare a dynamic array1Increase which length equals to array1Length
    int* array1Increase = new int[array1Length];
    // if array1 is in decreasing order
    if(array1[array1Length-1]<array1[0]){
        // copy array1 to array1Increase in increasing order
        for(int z=0; z<array1Length; z++){
            array1Increase[z] = 0;
            array1Increase[z] = array1[array1Length-1-z];
        }
    }
    // if array1 is in increasing order
    else{
        // just copy array1 again
        for(int z=0; z<array1Length; z++){
            array1Increase[z] = 0;
            array1Increase[z] = array1[z];
        }
    }
    // declare a dynamic array2Increase which length equals to array2Length
    int* array2Increase = new int[array2Length];
    // if array2 is in decreasing order
    if(array2[array2Length-1]<array2[0]){
        // copy array2 to array2Increase in increasing order
        for(int q=0; q<array2Length; q++){
            array2Increase[q] = 0;
            array2Increase[q] = array2[array2Length-1-q];
        }
    }
    // if array1 is in increasing order
    else{
        // just copy array2 again
        for(int q=0; q<array2Length; q++){
            array2Increase[q] = 0;
            array2Increase[q] = array2[q];
        }
    }
    // declare a dynamic mergeArray for the merge of the two arrays
    int* mergeArray = new int[array1Length+array2Length];
    // invoke merge function
    merge(array1Length,array2Length,array1Increase,array2Increase,mergeArray);
    // if there is at least one integer
    if(array1Length+array2Length!=0){
        // output the merge result
        cout << mergeArray[0];
        for(int p =1; p<(array1Length+array2Length); p++){
            cout << " " << mergeArray[p];
        }
    }
    cout << endl;
    delete [] array1Increase;
    delete [] array2Increase;
    delete [] mergeArray;
    return 0;
}
// merge function
void merge(int l1, int l2, int a1[], int a2[], int output[]){
    int counter1 = 0, counter2 = 0, counterOut = 0;
    // while counter1 and counter2 are not in the end of the arrays
    while(counter1<l1 && counter2<l2){
        // if the integer in counter1 position of array1 is larger
        if(a1[counter1]>a2[counter2]){
            // put it before the other integer in output array and increase the counters
            output[counterOut] = a2[counter2];
            counter2++;
            counterOut++;
        }
        // if the integer in counter2 position of array2 is larger
        else if(a1[counter1]<a2[counter2]){
            // put it before the other integer in output array and increase the counters
            output[counterOut] = a1[counter1];
            counter1++;
            counterOut++;
        }
        // it both integers are the same
        else{
            // put them in the output array together and increase the counters
            output[counterOut] = a1[counter1];
            counter1++;
            counterOut++;
            output[counterOut] = a2[counter2];
            counter2++;
            counterOut++;
        }
    }
    // if array2 is in the end while array1 still are some integers
    if(counter1!=l1){
        // put them in the output array directly beacause they are all larger than array2
        while(counter1<l1){
            output[counterOut] = a1[counter1];
            counter1++;
            counterOut++;
        }
    }
    // if array1 is in the end while array2 still are some integers
    else if(counter2!=l2){
        // put them in the output array directly beacause they are all larger than array1
        while(counter2<l2){
            output[counterOut] = a2[counter2];
            counter2++;
            counterOut++;
        }
    }
}
